ChangeSet 1.1525.6.2, 2003/06/30 17:16:53-07:00, greg@kroah.com

[PATCH] USB: turn down some debugging messages in uhci-hcd.


 drivers/usb/host/uhci-hcd.c |    9 ++++++++-
 1 files changed, 8 insertions(+), 1 deletion(-)


diff -Nru a/drivers/usb/host/uhci-hcd.c b/drivers/usb/host/uhci-hcd.c
--- a/drivers/usb/host/uhci-hcd.c	Tue Jul  1 14:23:11 2003
+++ b/drivers/usb/host/uhci-hcd.c	Tue Jul  1 14:23:11 2003
@@ -1208,6 +1208,13 @@
 	    			uhci_packetout(td_token(td)));
 
 err:
+	/* 
+	 * Enable this chunk of code if you want to see some more debugging.
+	 * But be careful, it has the tendancy to starve out khubd and prevent
+	 * disconnects from happening successfully if you have a slow debug
+	 * log interface (like a serial console.
+	 */
+#if 0
 	if ((debug == 1 && ret != -EPIPE) || debug > 1) {
 		/* Some debugging code */
 		dbg("uhci_result_common() failed with status %x", status);
@@ -1219,7 +1226,7 @@
 			lprintk(errbuf);
 		}
 	}
-
+#endif
 	return ret;
 }
 
